cancel
Showing results for 
Search instead for 
Did you mean: 

SUPEE-5994 appears to patch nothing on magento 1.7.0.2

SUPEE-5994 appears to patch nothing on magento 1.7.0.2

Hi,

 

I attempted to run the SUPEE-5994 patch on magento 1.7.0.2  however no files are patched after it runs.  It essentially does nothing.  Also in the output I'm seeing the message  "-e ERROR: Patch can't be applied/reverted successfully."  See below for the  full output from the shell script.

 

The bash file I downloaded is PATCH_SUPEE-5994_EE_1.14.1.0_v1-2015-05-14-05-05-02.sh

 

The Magento install is running on Ubuntu 12.04.  Pretty standard stuff.  I've run the previous patches on the same install before without issue. Any ideas would be appreciated.       

 

PATCH_SUPEE-5994_EE_1.14.1.0_v1-2015-05-14-05-05-02.sh: 14: PATCH_SUPEE-5994_EE_1.14.1.0_v1-2015-05-14-05-05-02.sh: 127: not found
PATCH_SUPEE-5994_EE_1.14.1.0_v1-2015-05-14-05-05-02.sh: 14: PATCH_SUPEE-5994_EE_1.14.1.0_v1-2015-05-14-05-05-02.sh: 127: not found
PATCH_SUPEE-5994_EE_1.14.1.0_v1-2015-05-14-05-05-02.sh: 25: PATCH_SUPEE-5994_EE_1.14.1.0_v1-2015-05-14-05-05-02.sh: 0: not found
Checking if patch can be applied/reverted successfully...
-e ERROR: Patch can't be applied/reverted successfully.

patching file app/code/core/Mage/Authorizenet/controllers/Directpost/PaymentController.php
patching file app/code/core/Mage/Core/Controller/Varien/Router/Admin.php
patching file app/code/core/Mage/Core/Controller/Varien/Router/Standard.php
patching file app/code/core/Mage/Customer/Model/Customer.php
Hunk #1 succeeded at 259 (offset -14 lines).
patching file app/code/core/Mage/Dataflow/Model/Convert/Parser/Csv.php
patching file app/code/core/Mage/ImportExport/Model/Export/Adapter/Csv.php
patching file app/code/core/Mage/Install/Controller/Router/Install.php
patching file app/code/core/Mage/Install/etc/config.xml
patching file app/code/core/Mage/Sales/controllers/Recurring/ProfileController.php
can't find file to patch at input line 249
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git downloader/Maged/Model/Connect.php downloader/Maged/Model/Connect.php
|index fdd95c9..80df37f 100644
|--- downloader/Maged/Model/Connect.php
|+++ downloader/Maged/Model/Connect.php
--------------------------
File to patch: 
Skip this patch? [y] 
Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 267
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git downloader/Maged/View.php downloader/Maged/View.php
|index bb289e8..dd38927 100755
|--- downloader/Maged/View.php
|+++ downloader/Maged/View.php
--------------------------
File to patch: 
Skip this patch? [y] 
Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 308
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git downloader/template/connect/packages_prepare.phtml downloader/template/connect/packages_prepare.phtml
|index 1e5a7e0..90562f5 100644
|--- downloader/template/connect/packages_prepare.phtml
|+++ downloader/template/connect/packages_prepare.phtml
--------------------------
File to patch: 
Skip this patch? [y] 
Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 321
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git downloader/template/messages.phtml downloader/template/messages.phtml
|index 211bc22..c8f8d86 100755
|--- downloader/template/messages.phtml
|+++ downloader/template/messages.phtml
--------------------------
File to patch: 
Skip this patch? [y] 
Skipping patch.
1 out of 1 hunk ignored
patching file get.php
patching file lib/PEAR/PEAR/PEAR.php
patching file lib/PEAR/PEAR/PEAR5.php
patching file lib/Varien/Io/File.php
19 REPLIES

Re: SUPEE-5994 appears to patch nothing on magento 1.7.0.2 & CE 1.8.1.0

same problem for CE 1.8.1.0

 

$ sh PATCH_SUPEE-5994_EE_1.14.1.0_v1-2015-05-14-05-05-02.sh
Checking if patch can be applied/reverted successfully...
ERROR: Patch can't be applied/reverted successfully.

patching file `app/code/core/Mage/Authorizenet/controllers/Directpost/PaymentController.php'
patching file `app/code/core/Mage/Core/Controller/Varien/Router/Admin.php'
patching file `app/code/core/Mage/Core/Controller/Varien/Router/Standard.php'
patching file `app/code/core/Mage/Customer/Model/Customer.php'
patching file `app/code/core/Mage/Dataflow/Model/Convert/Parser/Csv.php'
patching file `app/code/core/Mage/ImportExport/Model/Export/Adapter/Csv.php'
patching file `app/code/core/Mage/Install/Controller/Router/Install.php'
patching file `app/code/core/Mage/Install/etc/config.xml'
patching file `app/code/core/Mage/Sales/controllers/Recurring/ProfileController.php'
can't find file to patch at input line 249
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git downloader/Maged/Model/Connect.php downloader/Maged/Model/Connect.php
|index fdd95c9..80df37f 100644
|--- downloader/Maged/Model/Connect.php
|+++ downloader/Maged/Model/Connect.php
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 267
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git downloader/Maged/View.php downloader/Maged/View.php
|index bb289e8..dd38927 100755
|--- downloader/Maged/View.php
|+++ downloader/Maged/View.php
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 308
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git downloader/template/connect/packages_prepare.phtml downloader/template/connect/packages_prepare.phtml
|index 1e5a7e0..90562f5 100644
|--- downloader/template/connect/packages_prepare.phtml
|+++ downloader/template/connect/packages_prepare.phtml
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 321
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git downloader/template/messages.phtml downloader/template/messages.phtml
|index 211bc22..c8f8d86 100755
|--- downloader/template/messages.phtml
|+++ downloader/template/messages.phtml
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
patching file `get.php'
patching file `lib/PEAR/PEAR/PEAR.php'
patching file `lib/PEAR/PEAR/PEAR5.php'
patching file `lib/Varien/Io/File.php'

Re: SUPEE-5994 appears to patch nothing on magento 1.7.0.2 & CE 1.8.1.0

I have the same error. Strange thing is that we are running one server with a magento live environment and a test environment. On the test environment the patch was installed without any issues. The live environment however gives the same error as above. We are using magento CE 1.9.1.0. Original error message:

Checking if patch can be applied/reverted successfully...
ERROR: Patch can't be applied/reverted successfully.

patching file app/code/core/Mage/Authorizenet/controllers/Directpost/PaymentController.php
patching file app/code/core/Mage/Core/Controller/Varien/Router/Admin.php
patching file app/code/core/Mage/Core/Controller/Varien/Router/Standard.php
patching file app/code/core/Mage/Customer/Model/Customer.php
patching file app/code/core/Mage/Dataflow/Model/Convert/Parser/Csv.php
patching file app/code/core/Mage/ImportExport/Model/Export/Adapter/Csv.php
patching file app/code/core/Mage/Install/Controller/Router/Install.php
patching file app/code/core/Mage/Install/etc/config.xml
patching file app/code/core/Mage/Sales/controllers/Recurring/ProfileController.php
can't find file to patch at input line 249
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git downloader/Maged/Model/Connect.php downloader/Maged/Model/Connect.php
|index fdd95c9..80df37f 100644
|--- downloader/Maged/Model/Connect.php
|+++ downloader/Maged/Model/Connect.php
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 267
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git downloader/Maged/View.php downloader/Maged/View.php
|index bb289e8..dd38927 100755
|--- downloader/Maged/View.php
|+++ downloader/Maged/View.php
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 308
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git downloader/template/connect/packages_prepare.phtml downloader/template/connect/packages_prepare.phtml
|index 1e5a7e0..90562f5 100644
|--- downloader/template/connect/packages_prepare.phtml
|+++ downloader/template/connect/packages_prepare.phtml
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 321
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git downloader/template/messages.phtml downloader/template/messages.phtml
|index 211bc22..c8f8d86 100755
|--- downloader/template/messages.phtml
|+++ downloader/template/messages.phtml
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
patching file get.php
patching file lib/PEAR/PEAR/PEAR.php
patching file lib/PEAR/PEAR/PEAR5.php
patching file lib/Varien/Io/File.php

 

Re: SUPEE-5994 appears to patch nothing on magento 1.7.0.2 & CE 1.8.1.0

these patches are a total mess... first of all the id's don't match across versions. so unless you can remember which patches you've applied, you can only guess. for my ce 1.8.1.0 i had to use PATCH_SUPEE-5994_EE_1.9.0.0_v1-2015-05-14-04-58-28, which is for CE 1.4.1.0 - 1.4.1.1. Once applied the identifier shows up as SUPEE-6004, not 5994...

 

so as a general rule, you might want to check the other version too if the one you tried doesn't work. obviously, the files that it patches have to be the original ones, with no changes.

Re: SUPEE-5994 appears to patch nothing on magento 1.7.0.2 & CE 1.8.1.0

Is it safe to try out other versions of this patch?

Re: SUPEE-5994 appears to patch nothing on magento 1.7.0.2 & CE 1.8.1.0

well, since the version that is supposed to work on a certain version doesn't work and the other one does, then yes, i think it's safe. these are all patches, and if one patch fails, nothing gets applied. so it's either all or none. and since they rely on the structure/signature of the file being patched, chances are very low (close to none) to patch it incorrectly...

 

if you have time to spend, you can even take the patches out of the supee script and patch the files manually.

You can also wait until they get corrected, by magento or the community. keep an eye on this repo: https://github.com/brentwpeterson/magento-patches

Re: SUPEE-5994 appears to patch nothing on magento 1.7.0.2 & CE 1.8.1.0

It will fail if you have moved or renamed your downloader/ folder.

Re: SUPEE-5994 appears to patch nothing on magento 1.7.0.2 & CE 1.8.1.0

@Dx3webs

Thanks, this solved the issue for me! Smiley Happy

Re: SUPEE-5994 appears to patch nothing on magento 1.7.0.2 & CE 1.8.1.0

@Dx3websfixed this forus too.

Re: SUPEE-5994 appears to patch nothing on magento 1.7.0.2

So I don't even have a dowloader folder and don't even use magento connect.   I guess I can waste a  bunch of my time and try to make the patch work, but it's a shame we have to resort to that.

 

Do the actual patch files exist somewhere so we don't have to screw around with a 1300 line half baked bash script?